/**
 * EntityNameSearchUse2.java
 *
 * File generated from the medication2::EntityNameSearchUse2 uml Enumeration
 * Generated by IHE - europe, gazelle team
 */
package net.ihe.gazelle.medication2;

import javax.xml.bind.annotation.XmlEnum;
import javax.xml.bind.annotation.XmlEnumValue;
import javax.xml.bind.annotation.XmlRootElement;
import javax.xml.bind.annotation.XmlType;
/**
 * Description of the enumeration EntityNameSearchUse2.
 *
 * 
 */

@XmlType(name = "EntityNameSearchUse")
@XmlEnum
@XmlRootElement(name = "EntityNameSearchUse2")
public enum EntityNameSearchUse2 {
	@XmlEnumValue("SRCH")
	SRCH("SRCH"),
	@XmlEnumValue("PHON")
	PHON("PHON"),
	@XmlEnumValue("SNDX")
	SNDX("SNDX");
	
	private final String value;

    EntityNameSearchUse2(String v) {
        value = v;
    }
    
     public String value() {
        return value;
    }
    
    public String getValue() {
        return value;
    }
    
    public static EntityNameSearchUse2 fromValue(String v) {
        for (EntityNameSearchUse2 c: EntityNameSearchUse2.values()) {
            if (c.value.equals(v)) {
                return c;
            }
        }
        throw new IllegalArgumentException(v);
    }
	
}
